generator:
  class: sfPropelGenerator
  param:
    model_class:           BlogArticle
    theme:                 admin
    non_verbose_templates: true
    with_show:             false
    singular:              ~
    plural:                ~
    route_prefix:          blog_article
    with_propel_route:     1

    config:
      actions: ~
      fields:  ~
      list:    
        title:          Articles
        display:        [title, author_id, category_id]
        fields:
          published_on: { date_format: dd/MM/yy }
        layout:         stacked
        params:  |
          %%=content%%<br />
          (sent by %%author%% on %%created_at%% about)
        max_per_page:   2
        sort:           [title, asc]      
      filter:  ~
      form:    ~
      edit:    ~
      new:     ~
